All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.tableview
Class RowTag

    com.sas.taglib.servlet.tbeans.tableview.RowTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class RowTag

RowTag is the tag handler class for the sas:Row custom tag . RowTag is invoked by the JSP page to evaluate the sas:Row custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, DefaultTableRowRenderer, to execute the methods.

If you need to extend or modify the functionality of the sas:Row custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:Row custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `DefaultTableRowRenderer`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseTag
`APPLICATION, PAGE, RB_KEY, REQUEST, SESSION`

Constructor Summary
`RowTag()`

Method Summary
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Processes the start tag for this instance.
`int` | `getEndRow()` Returns the endRow property of the RowTag.
`int` | `getRepeatRowFactor()` Returns the repeatRowFactor property of the RowTag.
`int` | `getStartRow()` Returns the startRow property of the RowTag.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setEndRow(int row)` Sets the endRow property of the RowTag.
`void` | `setRepeatRowFactor(int repeatRow)` Sets the repeatRowFactor property of the RowTag.
`void` | `setStartRow(int row)` Sets the startRow property of the RowTag.

Methods inherited from class com.sas.taglib.servlet.tbeans.tableview.BaseRowTag
`applyAttributes, getBgColor, getCustomAttributes, getHorizontalAlignment, getStyleClassPrefix, getVerticalAlignment, setBgColor, setCustomAttributes, setHorizontalAlignment, setStyleClassPrefix, setVerticalAlignment`

Methods inherited from class com.sas.taglib.BaseTag
`convertScope, doCatch, doFinally, getApplyAttributes, getComponentFromParentComposite, getCompositeComponentKey, getInstantiate, getLocale, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setComponentOnParentComposite, setCompositeComponentKey, setInstantiate, setLocale, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### RowTag

    public RowTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseRowTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setStartRow

    public void setStartRow(int row)

  Sets the startRow property of the RowTag.

  Parameters:
    `startRow` - The first row to begin using this RowRenderer or all rows if not set. This property is 1-based.
  See Also:
    `getStartRow()`

### getStartRow

    public int getStartRow()

  Returns the startRow property of the RowTag.

  Returns:
    the first row to begin using this RowRenderer or -1 if not set
  See Also:
    `setStartRow(int)`

### setEndRow

    public void setEndRow(int row)

  Sets the endRow property of the RowTag.

  Parameters:
    `endRow` - The last row to begin using this RowRenderer or all rows after the startRow if not set. This property is 1-based.
  See Also:
    `getEndRow()`

### getEndRow

    public int getEndRow()

  Returns the endRow property of the RowTag.

  Returns:
    the last row to begin using this RowRenderer or -1 if not set
  See Also:
    `setEndRow(int)`

### setRepeatRowFactor

    public void setRepeatRowFactor(int repeatRow)

  Sets the repeatRowFactor property of the RowTag.

  Parameters:
    `repeatRowFactor` - Specifies every nth row after the startRow to use this renderer. This property is 1-based.
  See Also:
    `getRepeatRowFactor()`

### getRepeatRowFactor

    public int getRepeatRowFactor()

  Returns the repeatRowFactor property of the RowTag.

  Returns:
    every nth row after the startRow to use this renderer
  See Also:
    `setRepeatRowFactor(int)`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.